package com.zanxiang.common.enums;

/**
 * 支付方式枚举
 *
 * @author xufeng
 * @date 2022/6/9 10:41
 */
public enum PayWayEnum {

    /**
     * 支付宝
     */
    ALIPAY("AliPay", "支付宝", 1),

    /**
     * 微信支付
     */
    WXPAY("WxPay", "微信支付", 2),

    /**
     * 米大师支付
     */
    MIPAY("MiPay", "米大师支付", 3);

    /**
     * 支付类前缀
     */
    private final String code;
    
    private final String name;
    private final Integer num;

    PayWayEnum(String code, String name, Integer num) {
        this.code = code;
        this.name = name;
        this.num = num;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    public Integer getNum() {
        return num;
    }

    /**
     * 通过num获取pay code
     *
     * @param num
     * @return code
     */
    public static String getCodeByNum(Integer num) {
        PayWayEnum[] values = PayWayEnum.values();
        for (PayWayEnum value : values) {
            if (value.getNum().equals(num)) {
                return value.getCode();
            }
        }
        return "";
    }

}
