package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PreOrderParam extends CommonParam {

    @ApiModelProperty("cpId")
    @NotNull(message = "cpId不可为空")
    private String cpId;

    @ApiModelProperty("CP订单号")
    @NotNull(message = "cpOrderId不可为空")
    private String cpOrderId;

    @ApiModelProperty("角色id")
    @NotNull(message = "roleId不可为空")
    private String roleId;

    @ApiModelProperty("货物总价")
    @NotNull(message = "amount不可为空")
    private BigDecimal amount;

    @ApiModelProperty("实际支付金额")
    private BigDecimal realAmount;

    @ApiModelProperty("游戏商品ID")
    private String productId;

    @ApiModelProperty("游戏商品数量")
    private Integer productCnt;

    @ApiModelProperty("游戏商品名称")
    private String productName;

    @ApiModelProperty("CP附加参数")
    private String ext;

    @ApiModelProperty("渠道")
    private String channel;

    @ApiModelProperty("支付方式 (1:PC, 2: h5支付, 3: App支付, 4: 小程序支付(微信小游戏), 5: 米大师支付(微信小游戏))")
    private Integer payDevice;
}
