package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.sun.istack.NotNull;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 支付调起生成相关参数
 *
 * @author xufeng
 * @date 2022/6/8 15:21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class ProductPayParam extends CommonParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("订单id")
    @JsonAlias("device-orderId")
    private String orderId;

    @ApiModelProperty("金额")
    private BigDecimal amount;

    @ApiModelProperty("支付类型(1:支付宝 2:微信 3:银联)")
    @JsonAlias("payway")
    @NotNull
    private Integer payWay;

    @ApiModelProperty("小程序支付code")
    private String code;

    @ApiModelProperty("支付方式 (1:PC, 2: h5支付, 3: App支付, 4: 小程序支付(微信小游戏), 5: 米大师支付(微信小游戏))")
    private Integer payDevice;

}
