package com.zanxiang.sdk.service;

import com.zanxiang.common.domain.ResultMap;
import com.zanxiang.sdk.domain.bo.ProductPayParamBO;
import org.jdom.JDOMException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author xufeng
 * @date 2022/6/8 15:31
 */
public interface OrderPayService {

    /**
     * 支付调起
     *
     * @param product : 调起支付的参数
     * @return : 返回支付参数
     */
    ResultMap create(ProductPayParamBO product);

    /**
     * 支付异步回调
     *
     * @param request  : 回调请求
     * @param response : 回调返回
     * @return : 返回回调结果
     * @throws IOException   : io异常
     * @throws JDOMException : 异常
     */
    String notify(HttpServletRequest request, HttpServletResponse response) throws IOException, JDOMException;

    /**
     * 支付同步回调
     *
     * @param request : 回调参数
     * @return : 返回回调结果
     */
    ResultMap synNotify(HttpServletRequest request);

    /**
     * 配置初始化
     *
     * @param obj : 配置参数
     */
    void configInit(String obj);
}
